> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_index_price_names

> Retrieves the identifiers (names) of all supported price indexes. Price indexes are reference prices used for mark price calculations, settlement, and other market operations.

When the `extended` parameter is set to `true`, the response includes additional information such as whether future combo creation and option combo creation are enabled for each index.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_price_names)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_index_price_names
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_index_price_names:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves the identifiers (names) of all supported price indexes. Price
        indexes are reference prices used for mark price calculations,
        settlement, and other market operations.


        When the `extended` parameter is set to `true`, the response includes
        additional information such as whether future combo creation and option
        combo creation are enabled for each index.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_price_names)

      parameters:
        - description: >-
            When set to `true`, returns additional information including
            `future_combo_creation_enabled` and `option_combo_creation_enabled`
            for each index
          in: query
          name: extended
          required: false
          schema:
            default: false
            example: true
            type: boolean
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: public/get_index_price_names
                  params:
                    extended: true
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetIndexPriceNamesResponse'
components:
  responses:
    PublicGetIndexPriceNamesResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 25718
                jsonrpc: '2.0'
                result:
                  - btc_eth
                  - btc_usdc
                  - eth_usdc
          schema:
            $ref: '#/components/schemas/PublicGetIndexPriceNamesResponse'
      description: Success response
  schemas:
    PublicGetIndexPriceNamesResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          items:
            properties:
              future_combo_creation_enabled:
                description: >-
                  Whether future combo creation is enabled for this index (only
                  present when `extended`=`true`)
                type: boolean
              name:
                description: Index name
                type: string
              option_combo_creation_enabled:
                description: >-
                  Whether option combo creation is enabled for this index (only
                  present when `extended`=`true`)
                type: boolean
            required:
              - name
            type: object
          type: array
      required:
        - jsonrpc
        - result
      type: object

````